Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class UserInfo

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.bgsecure.common.bean.UserInfo

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`

    public class UserInfo
    extends Id
    implements GuiTitlable

Bean для справочника пользователей(так как обычный bean пользователя содержит те данный которые нежелательно лишний раз слать на клиент), на данный момент содержит только ид и имя пользователя.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UserInfo()` |
  `UserInfo​(int id, java.lang.String name)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getName()` |
  `void` | `setName​(java.lang.String name)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserInfo

    public UserInfo()

  - ### UserInfo

    public UserInfo​(int id, java.lang.String name)

- ## Method Details

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.